Skip to main content
`Ctrl`+`K`

# SVDCyclicSetEPS

Associate an eigensolver object (`EPS`) to the singular value solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDCyclicSetEPS(SVD svd,EPS eps)

Collective

## Input Parameters

- svd - the singular value solver context

- eps - the linear eigensolver context

## See Also

SVD: Singular Value Decomposition, `SVDCYCLIC`, `SVDCyclicGetEPS()`

## Level

advanced

## Location

src/svd/impls/cyclic/cyclic.c

## Implementations

SVDCyclicSetEPS_Cyclic() in src/svd/impls/cyclic/cyclic.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages